summaryrefslogtreecommitdiffstats
path: root/assets
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-12-09 19:06:05 +0100
committermakefu <github@syntax-fehler.de>2011-12-09 19:06:05 +0100
commit463a8e4f14dcc1da7aecb48ac4b012f08017fea7 (patch)
treed2c2ecddb25a6660499a0e78980e1b69a7c036d0 /assets
parent9304e86209fc01726a67b4c3f5a408b4af788a0d (diff)
//assets/bin/asq: quick ass
will use ass and the environment to automate creation task
Diffstat (limited to 'assets')
-rwxr-xr-xassets/bin/asq21
1 files changed, 21 insertions, 0 deletions
diff --git a/assets/bin/asq b/assets/bin/asq
new file mode 100755
index 00000000..732a296a
--- /dev/null
+++ b/assets/bin/asq
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -xeuf
+cd $(dirname $(readlink -f $0))
+
+if [ "$1" == "c" ];then
+ echo ./ass create "$2" && export ASS_CREATED="$2"
+ if [ "${ASS_OWNER-}" ]; then
+ $0 s "owner" "${ASS_OWNER}"
+ fi
+ if [ "${ASS_LOCATION-}" ]; then
+ $0 s "location" "${ASS_LOCATION}"
+ fi
+else if [ "$1" == "s" ]
+then
+ echo ./ass set "${ASS_CREATED}" "${2}" "${3}"
+ else
+ echo "you are made of stupid!"
+ cat $0
+ exit 23
+ fi
+fi